aboutsummaryrefslogtreecommitdiffstats
path: root/operations/dcae/rapps.sh
diff options
context:
space:
mode:
Diffstat (limited to 'operations/dcae/rapps.sh')
-rwxr-xr-x[-rw-r--r--]operations/dcae/rapps.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/operations/dcae/rapps.sh b/operations/dcae/rapps.sh
index 9af8284..8d51f5b 100644..100755
--- a/operations/dcae/rapps.sh
+++ b/operations/dcae/rapps.sh
@@ -50,7 +50,14 @@ case "$operation" in
rapp_filter=$2
# Create inputs. Currently the only input to be provided is database password and that is only
# applicable for datacollector r-app at the moment;
- . ./inputs_database_password.sh
+ if [[ -z ${DATABASE_PASSWORD:-} ]]; then
+ echo "DATABASE_PASSWORD value is missing!"
+ echo "Run: "
+ echo "\"kubectl get secret \`kubectl get secrets | grep mariadb-galera-db-root-password | awk '{print \$1}'\` -o jsonpath="{.data.password}" | base64 --decode\" in the ONAP k8s"
+ echo "and after that export DATABASE_PASSWORD=\${command_out}"
+ exit 1
+ fi
+
deployment_inputs="database_password=${DATABASE_PASSWORD}"
do_deploy() {
local blueprint_file=$1